Skip to main content
GET
/
mcp-servers
/
{mcpServerId}
Get MCP Server
curl --request GET \
  --url https://api.portkey.ai/v1/mcp-servers/{mcpServerId} \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/mcp-servers/{mcpServerId}"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/mcp-servers/{mcpServerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "name": "<string>",
  "status": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "mcp_integration_id": "<string>",
  "mcp_integration_details": {
    "id": "<string>",
    "slug": "<string>",
    "status": "<string>",
    "configurations": {},
    "url": "<string>",
    "transport": "<string>",
    "auth_type": "<string>"
  },
  "workspace_id": "<string>"
}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

mcpServerId
string
required

MCP Server ID (UUID) or slug

Response

200 - application/json

OK

id
string<uuid>
slug
string
name
string
status
string
description
string | null
created_at
string<date-time>
mcp_integration_id
string

MCP Integration ID or slug

mcp_integration_details
object | null

Present for system/service auth

workspace_id
string | null

Present for system/service auth

Last modified on April 2, 2026